# Method: organizations.locations.securityHealthAnalyticsCustomModules.simulate

- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityHealthAnalyticsCustomModules/simulate#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityHealthAnalyticsCustomModules/simulate#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityHealthAnalyticsCustomModules/simulate#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityHealthAnalyticsCustomModules/simulate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityHealthAnalyticsCustomModules/simulate#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityHealthAnalyticsCustomModules/simulate#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityHealthAnalyticsCustomModules/simulate#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/organizations.locations.securityHealthAnalyticsCustomModules/simulate#try-it)

Simulates the result of using a `https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/folders.locations.securityHealthAnalyticsCustomModules#SecurityHealthAnalyticsCustomModule` to check a resource.

### HTTP request

`POST https://securitycentermanagement.googleapis.com/v1/{parent=organizations/*/locations/*}/securityHealthAnalyticsCustomModules:simulate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The relative resource name of the organization, project, or folder. For more information about relative resource names, see [AIP-122: Resource names](https://google.aip.dev/122). Example: `organizations/{organization_id}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "customConfig": { object (`https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/CustomConfig`) }, "resource": { object (`https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/SimulatedResource`) } } ``` |

| Fields ||
|---|---|
| `customConfig` | ``object (`https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/CustomConfig`)`` Required. The custom configuration that you need to test. |
| `resource` | ``object (`https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/SimulatedResource`)`` Required. Resource data to simulate custom module against. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/SimulateSecurityHealthAnalyticsCustomModuleResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `securitycentermanagement.securityHealthAnalyticsCustomModules.simulate`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).